Fehlermeldung hinter Squid Proxy

  • Affected App
    WoltLab Suite Forum

    Betreibe ich das Forum hinter ein Squid Proxy erhalte ich vom Browser folgende Fehlermeldung:


    "Content-Encoding-Fehler
    Die Webseite, die Sie öffnen möchten, kann nicht angezeigt werden, da sie eine ungültige oder unbekannte Form der Kompression verwendet.
    Kontaktieren Sie bitte den Inhaber der Website, um ihn über dieses Problem zu informieren."


    Auf der Suche nach der Ursache kam ich beim Squid-Cache und diesem Squid Paramter vorbei: "broken_vary_encoding". Squid schreibt dazu: "Changes in 2.6: broken_vary_encoding
    New directive to work around known broken compression modules which hasn't understood the meaning of the ETag HTTP header in relation to Accept-Encoding." Siehe http://www.squid-cache.org/Doc/config/broken_vary_encoding/


    Setze ich den Parameter entsprechend oder umgehe ich den Squid-Cache, funktioniert es wieder und ich bekomme keine Fehlermeldung dazu.


    Gem. Squid-Cache wäre das ja dann ein Woltlab Problem, oder?


    Gruß
    AWo

    -= Rettet den Wald! Mietet Feuerholz! =-

  • Ok, ich gehe dem nach un dmelde mich. Ich habe mich eventül etwas unverständlich ausgedrückt, natürlich ist nicht der Server hinter dem Proxy, sondern der Browser. Das ändert aber wahrscheinlich nichts an Deiner Aussage.


    Gruß
    AWo

    -= Rettet den Wald! Mietet Feuerholz! =-

    • Official Post

    Hallo,


    das war tatsächlich nicht klar. An meiner Aussage ändert dies jedoch tatsächlich nichts außer der Formulierung: Der Webserver fügt offensichtlich einen „Strong ETag“ hinzu, wo er er nicht soll. Das Forum selbst sendet diesen ETag nicht.

  • Yep, der Server setzt das ETag. Also muss ich mich da, darum kümmern.


    Danke.


    Gruß
    AWo

    -= Rettet den Wald! Mietet Feuerholz! =-

  • Just one note to add...


    I run WBB 3.1.8 and 4.0.8 on the same Apache server. The error only occurs when I load the 4.0.8 forum.
    At least there is something in 4.0.8 which uses compression (or other mechanisms), so that that error only occurs there.


    AWo

    -= Rettet den Wald! Mietet Feuerholz! =-

  • Bitte bleibe bei der Sprache, die du eingangs genutzt hast. ;)


    Im ACP lässt sich unter System -> Optionen -> Allgemein -> System -> HTTP -> Gzip-Komprimierung aktivieren die Gzip-Komprimierung deaktivieren.

  • Ja, das war es. Danke. Da sProblem trat dann in WBB 4.1x nochmal auf und wurde auf die gleiche weise gelöst. GZIP ausgeschaltet.


    Danke!


    Gruß
    AWo

    -= Rettet den Wald! Mietet Feuerholz! =-

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!